Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/shop-builder/
https://store.xsolla.com/api/
Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Create order with particular free cartClient-side

Request

Creates an order with all items from the particular free cart. The created order will get a done order status.

Security
AuthForCart
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
cart_idstringrequired

Cart ID.

Example: custom_id
Bodyapplication/json
currencystring

Order price currency. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.

localestring

Response language.

sandboxboolean

Creates an order in the sandbox mode. The option is available for those users who are specified in the list of company users.

Default false
settingsobject

Settings for configuring payment process and the payment UI for a user.

custom_parametersobject[ 1 .. 200 ] properties

Project specific parameters.

curl -i -X POST \
  https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/free/cart/custom_id \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "sandbox": true,
    "settings": {
      "ui": {
        "theme": "63295a9a2e47fab76f7708e1",
        "desktop": {
          "header": {
            "is_visible": true,
            "visible_logo": true,
            "visible_name": true,
            "visible_purchase": true,
            "type": "normal",
            "close_button": false
          }
        }
      }
    },
    "custom_parameters": {
      "character_id": "ingameUsername"
    }
  }'

Responses

Free order was successfully created.

Bodyapplication/json
order_idinteger

Order ID.

Response
application/json
{ "order_id": 641 }

Create order with specified free itemClient-side

Request

Creates an order with a specified free item. The created order will get a done order status.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
item_skustringrequired

Item SKU.

Example: booster_mega_1
Bodyapplication/json
currencystring

Order price currency. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.

localestring

Response language.

sandboxboolean

Creates an order in the sandbox mode. The option is available for those users who are specified in the list of company users.

Default false
quantityinteger>= 1

Item quantity.

Default 1
promo_codestring

Redeems a code of a promo code promotion with payment.

settingsobject

Settings for configuring payment process and the payment UI for a user.

custom_parametersobject[ 1 .. 200 ] properties

Project specific parameters.

curl -i -X POST \
  https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/free/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "sandbox": true,
    "quantity": 5,
    "promo_code": "discount_code",
    "settings": {
      "ui": {
        "theme": "63295a9a2e47fab76f7708e1",
        "desktop": {
          "header": {
            "is_visible": true,
            "visible_logo": true,
            "visible_name": true,
            "visible_purchase": true,
            "type": "normal",
            "close_button": false
          }
        }
      }
    },
    "custom_parameters": {
      "character_id": "ingameUsername"
    }
  }'

Responses

Free order was successfully created.

Bodyapplication/json
order_idinteger

Order ID.

Response
application/json
{ "order_id": 641 }
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations
Operations
Operations
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations